MgmtRolesResourceApi (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger

## Class MgmtRolesResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.MgmtRolesResourceApi

-     public class MgmtRolesResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MgmtRolesResourceApi()`
    `MgmtRolesResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiRoleList` | `createRoles(ApiRoleList body)` Create new roles in the Cloudera Management Services.
    `com.squareup.okhttp.Call` | `createRolesAsync(ApiRoleList body, ApiCallback<ApiRoleList> callback)` Create new roles in the Cloudera Management Services.
    `com.squareup.okhttp.Call` | `createRolesCall(ApiRoleList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for createRoles
    `ApiResponse<ApiRoleList>` | `createRolesWithHttpInfo(ApiRoleList body)` Create new roles in the Cloudera Management Services.
    `ApiRole` | `deleteRole(String roleName)` Delete a role from the Cloudera Management Services.
    `com.squareup.okhttp.Call` | `deleteRoleAsync(String roleName, ApiCallback<ApiRole> callback)` Delete a role from the Cloudera Management Services.
    `com.squareup.okhttp.Call` | `deleteRoleCall(String roleName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deleteRole
    `ApiResponse<ApiRole>` | `deleteRoleWithHttpInfo(String roleName)` Delete a role from the Cloudera Management Services.
    `ApiCommand` | `enterMaintenanceMode(String roleName)` Put the Cloudera Management Service role into maintenance mode.
    `com.squareup.okhttp.Call` | `enterMaintenanceModeAsync(String roleName, ApiCallback<ApiCommand> callback)` Put the Cloudera Management Service role into maintenance mode.
    `com.squareup.okhttp.Call` | `enterMaintenanceModeCall(String roleName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for enterMaintenanceMode
    `ApiResponse<ApiCommand>` | `enterMaintenanceModeWithHttpInfo(String roleName)` Put the Cloudera Management Service role into maintenance mode.
    `ApiCommand` | `exitMaintenanceMode(String roleName)` Take the Cloudera Management Service role out of maintenance mode.
    `com.squareup.okhttp.Call` | `exitMaintenanceModeAsync(String roleName, ApiCallback<ApiCommand> callback)` Take the Cloudera Management Service role out of maintenance mode.
    `com.squareup.okhttp.Call` | `exitMaintenanceModeCall(String roleName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for exitMaintenanceMode
    `ApiResponse<ApiCommand>` | `exitMaintenanceModeWithHttpInfo(String roleName)` Take the Cloudera Management Service role out of maintenance mode.
    `ApiClient` | `getApiClient()`
    `String` | `getFullLog(String roleName)` Retrieves the log file for the role's main process.
    `com.squareup.okhttp.Call` | `getFullLogAsync(String roleName, ApiCallback<String> callback)` Retrieves the log file for the role's main process.
    `com.squareup.okhttp.Call` | `getFullLogCall(String roleName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getFullLog
    `ApiResponse<String>` | `getFullLogWithHttpInfo(String roleName)` Retrieves the log file for the role's main process.
    `String` | `getStacksLog(String roleName)` Retrieves the stacks log file, if any, for the role's main process.
    `com.squareup.okhttp.Call` | `getStacksLogAsync(String roleName, ApiCallback<String> callback)` Retrieves the stacks log file, if any, for the role's main process.
    `com.squareup.okhttp.Call` | `getStacksLogCall(String roleName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getStacksLog
    `File` | `getStacksLogsBundle(String roleName)` Download a zip-compressed archive of role stacks logs.
    `com.squareup.okhttp.Call` | `getStacksLogsBundleAsync(String roleName, ApiCallback<File> callback)` Download a zip-compressed archive of role stacks logs.
    `com.squareup.okhttp.Call` | `getStacksLogsBundleCall(String roleName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getStacksLogsBundle
    `ApiResponse<File>` | `getStacksLogsBundleWithHttpInfo(String roleName)` Download a zip-compressed archive of role stacks logs.
    `ApiResponse<String>` | `getStacksLogWithHttpInfo(String roleName)` Retrieves the stacks log file, if any, for the role's main process.
    `String` | `getStandardError(String roleName)` Retrieves the role's standard error output.
    `com.squareup.okhttp.Call` | `getStandardErrorAsync(String roleName, ApiCallback<String> callback)` Retrieves the role's standard error output.
    `com.squareup.okhttp.Call` | `getStandardErrorCall(String roleName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getStandardError
    `ApiResponse<String>` | `getStandardErrorWithHttpInfo(String roleName)` Retrieves the role's standard error output.
    `String` | `getStandardOutput(String roleName)` Retrieves the role's standard output.
    `com.squareup.okhttp.Call` | `getStandardOutputAsync(String roleName, ApiCallback<String> callback)` Retrieves the role's standard output.
    `com.squareup.okhttp.Call` | `getStandardOutputCall(String roleName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getStandardOutput
    `ApiResponse<String>` | `getStandardOutputWithHttpInfo(String roleName)` Retrieves the role's standard output.
    `ApiCommandList` | `listActiveCommands(String roleName, String view)` List active role commands.
    `com.squareup.okhttp.Call` | `listActiveCommandsAsync(String roleName, String view, ApiCallback<ApiCommandList> callback)` List active role commands.
    `com.squareup.okhttp.Call` | `listActiveCommandsCall(String roleName, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for listActiveCommands
    `ApiResponse<ApiCommandList>` | `listActiveCommandsWithHttpInfo(String roleName, String view)` List active role commands.
    `ApiRole` | `readRole(String roleName)` Retrieve detailed information about a Cloudera Management Services role.
    `com.squareup.okhttp.Call` | `readRoleAsync(String roleName, ApiCallback<ApiRole> callback)` Retrieve detailed information about a Cloudera Management Services role.
    `com.squareup.okhttp.Call` | `readRoleCall(String roleName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readRole
    `ApiConfigList` | `readRoleConfig(String roleName, String view)` Retrieve the configuration of a specific Cloudera Management Services role.
    `com.squareup.okhttp.Call` | `readRoleConfigAsync(String roleName, String view, ApiCallback<ApiConfigList> callback)` Retrieve the configuration of a specific Cloudera Management Services role.
    `com.squareup.okhttp.Call` | `readRoleConfigCall(String roleName, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readRoleConfig
    `ApiResponse<ApiConfigList>` | `readRoleConfigWithHttpInfo(String roleName, String view)` Retrieve the configuration of a specific Cloudera Management Services role.
    `ApiRoleList` | `readRoles()` List all roles of the Cloudera Management Services.
    `com.squareup.okhttp.Call` | `readRolesAsync(ApiCallback<ApiRoleList> callback)` List all roles of the Cloudera Management Services.
    `com.squareup.okhttp.Call` | `readRolesCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readRoles
    `ApiResponse<ApiRoleList>` | `readRolesWithHttpInfo()` List all roles of the Cloudera Management Services.
    `ApiResponse<ApiRole>` | `readRoleWithHttpInfo(String roleName)` Retrieve detailed information about a Cloudera Management Services role.
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiConfigList` | `updateRoleConfig(String roleName, String message, ApiConfigList body)` Update the configuration of a Cloudera Management Services role.
    `com.squareup.okhttp.Call` | `updateRoleConfigAsync(String roleName, String message, ApiConfigList body, ApiCallback<ApiConfigList> callback)` Update the configuration of a Cloudera Management Services role.
    `com.squareup.okhttp.Call` | `updateRoleConfigCall(String roleName, String message, ApiConfigList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateRoleConfig
    `ApiResponse<ApiConfigList>` | `updateRoleConfigWithHttpInfo(String roleName, String message, ApiConfigList body)` Update the configuration of a Cloudera Management Services role.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MgmtRolesResourceApi

          public MgmtRolesResourceApi()

    - #### MgmtRolesResourceApi

          public MgmtRolesResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### createRolesCall

          public com.squareup.okhttp.Call createRolesCall(ApiRoleList body,
                                                          ProgressResponseBody.ProgressListener progressListener,
                                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                   throws ApiException

      Build call for createRoles
      Parameters:
        `body` - Roles to create. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### createRoles

          public ApiRoleList createRoles(ApiRoleList body)
                                  throws ApiException

      Create new roles in the Cloudera Management Services. Create new roles in the Cloudera Management Services.
      Parameters:
        `body` - Roles to create. (optional)
      Returns:
        ApiRoleList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createRolesWithHttpInfo

          public ApiResponse<ApiRoleList> createRolesWithHttpInfo(ApiRoleList body)
                                                           throws ApiException

      Create new roles in the Cloudera Management Services. Create new roles in the Cloudera Management Services.
      Parameters:
        `body` - Roles to create. (optional)
      Returns:
        ApiResponse<ApiRoleList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createRolesAsync

          public com.squareup.okhttp.Call createRolesAsync(ApiRoleList body,
                                                           ApiCallback<ApiRoleList> callback)
                                                    throws ApiException

      Create new roles in the Cloudera Management Services. (asynchronously) Create new roles in the Cloudera Management Services.
      Parameters:
        `body` - Roles to create. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deleteRoleCall

          public com.squareup.okhttp.Call deleteRoleCall(String roleName,
                                                         ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for deleteRole
      Parameters:
        `roleName` - The role name. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deleteRole

          public ApiRole deleteRole(String roleName)
                             throws ApiException

      Delete a role from the Cloudera Management Services. Delete a role from the Cloudera Management Services.
      Parameters:
        `roleName` - The role name. (required)
      Returns:
        ApiRole
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteRoleWithHttpInfo

          public ApiResponse<ApiRole> deleteRoleWithHttpInfo(String roleName)
                                                      throws ApiException

      Delete a role from the Cloudera Management Services. Delete a role from the Cloudera Management Services.
      Parameters:
        `roleName` - The role name. (required)
      Returns:
        ApiResponse<ApiRole>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteRoleAsync

          public com.squareup.okhttp.Call deleteRoleAsync(String roleName,
                                                          ApiCallback<ApiRole> callback)
                                                   throws ApiException

      Delete a role from the Cloudera Management Services. (asynchronously) Delete a role from the Cloudera Management Services.
      Parameters:
        `roleName` - The role name. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### enterMaintenanceModeCall

          public com.squareup.okhttp.Call enterMaintenanceModeCall(String roleName,
                                                                   ProgressResponseBody.ProgressListener progressListener,
                                                                   ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                            throws ApiException

      Build call for enterMaintenanceMode
      Parameters:
        `roleName` - The role name. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### enterMaintenanceMode

          public ApiCommand enterMaintenanceMode(String roleName)
                                          throws ApiException

      Put the Cloudera Management Service role into maintenance mode. Put the Cloudera Management Service role into maintenance mode.This is a synchronous command. The result is known immediately upon return. <p> Available since API v18. </p>
      Parameters:
        `roleName` - The role name. (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### enterMaintenanceModeWithHttpInfo

          public ApiResponse<ApiCommand> enterMaintenanceModeWithHttpInfo(String roleName)
                                                                   throws ApiException

      Put the Cloudera Management Service role into maintenance mode. Put the Cloudera Management Service role into maintenance mode.This is a synchronous command. The result is known immediately upon return. <p> Available since API v18. </p>
      Parameters:
        `roleName` - The role name. (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### enterMaintenanceModeAsync

          public com.squareup.okhttp.Call enterMaintenanceModeAsync(String roleName,
                                                                    ApiCallback<ApiCommand> callback)
                                                             throws ApiException

      Put the Cloudera Management Service role into maintenance mode. (asynchronously) Put the Cloudera Management Service role into maintenance mode.This is a synchronous command. The result is known immediately upon return. <p> Available since API v18. </p>
      Parameters:
        `roleName` - The role name. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### exitMaintenanceModeCall

          public com.squareup.okhttp.Call exitMaintenanceModeCall(String roleName,
                                                                  ProgressResponseBody.ProgressListener progressListener,
                                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                           throws ApiException

      Build call for exitMaintenanceMode
      Parameters:
        `roleName` - The role name. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### exitMaintenanceMode

          public ApiCommand exitMaintenanceMode(String roleName)
                                         throws ApiException

      Take the Cloudera Management Service role out of maintenance mode. Take the Cloudera Management Service role out of maintenance mode. This is a synchronous command. The result is known immediately upon return. <p> Available since API v18. </p>
      Parameters:
        `roleName` - The role name. (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### exitMaintenanceModeWithHttpInfo

          public ApiResponse<ApiCommand> exitMaintenanceModeWithHttpInfo(String roleName)
                                                                  throws ApiException

      Take the Cloudera Management Service role out of maintenance mode. Take the Cloudera Management Service role out of maintenance mode. This is a synchronous command. The result is known immediately upon return. <p> Available since API v18. </p>
      Parameters:
        `roleName` - The role name. (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### exitMaintenanceModeAsync

          public com.squareup.okhttp.Call exitMaintenanceModeAsync(String roleName,
                                                                   ApiCallback<ApiCommand> callback)
                                                            throws ApiException

      Take the Cloudera Management Service role out of maintenance mode. (asynchronously) Take the Cloudera Management Service role out of maintenance mode. This is a synchronous command. The result is known immediately upon return. <p> Available since API v18. </p>
      Parameters:
        `roleName` - The role name. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getFullLogCall

          public com.squareup.okhttp.Call getFullLogCall(String roleName,
                                                         ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for getFullLog
      Parameters:
        `roleName` - The role to fetch logs from. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getFullLog

          public String getFullLog(String roleName)
                            throws ApiException

      Retrieves the log file for the role's main process. Retrieves the log file for the role's main process. <p> If the role is not started, this will be the log file associated with the last time the role was run. <p> Log files are returned as plain text (type \"text/plain\").
      Parameters:
        `roleName` - The role to fetch logs from. (required)
      Returns:
        String
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getFullLogWithHttpInfo

          public ApiResponse<String> getFullLogWithHttpInfo(String roleName)
                                                     throws ApiException

      Retrieves the log file for the role's main process. Retrieves the log file for the role's main process. <p> If the role is not started, this will be the log file associated with the last time the role was run. <p> Log files are returned as plain text (type \"text/plain\").
      Parameters:
        `roleName` - The role to fetch logs from. (required)
      Returns:
        ApiResponse<String>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getFullLogAsync

          public com.squareup.okhttp.Call getFullLogAsync(String roleName,
                                                          ApiCallback<String> callback)
                                                   throws ApiException

      Retrieves the log file for the role's main process. (asynchronously) Retrieves the log file for the role's main process. <p> If the role is not started, this will be the log file associated with the last time the role was run. <p> Log files are returned as plain text (type \"text/plain\").
      Parameters:
        `roleName` - The role to fetch logs from. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getStacksLogCall

          public com.squareup.okhttp.Call getStacksLogCall(String roleName,
                                                           ProgressResponseBody.ProgressListener progressListener,
                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                    throws ApiException

      Build call for getStacksLog
      Parameters:
        `roleName` - The role to fetch stacks logs from. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getStacksLog

          public String getStacksLog(String roleName)
                              throws ApiException

      Retrieves the stacks log file, if any, for the role's main process. Retrieves the stacks log file, if any, for the role's main process. Note that not all roles support periodic stacks collection. The log files are returned as plain text (type \"text/plain\").
      Parameters:
        `roleName` - The role to fetch stacks logs from. (required)
      Returns:
        String
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getStacksLogWithHttpInfo

          public ApiResponse<String> getStacksLogWithHttpInfo(String roleName)
                                                       throws ApiException

      Retrieves the stacks log file, if any, for the role's main process. Retrieves the stacks log file, if any, for the role's main process. Note that not all roles support periodic stacks collection. The log files are returned as plain text (type \"text/plain\").
      Parameters:
        `roleName` - The role to fetch stacks logs from. (required)
      Returns:
        ApiResponse<String>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getStacksLogAsync

          public com.squareup.okhttp.Call getStacksLogAsync(String roleName,
                                                            ApiCallback<String> callback)
                                                     throws ApiException

      Retrieves the stacks log file, if any, for the role's main process. (asynchronously) Retrieves the stacks log file, if any, for the role's main process. Note that not all roles support periodic stacks collection. The log files are returned as plain text (type \"text/plain\").
      Parameters:
        `roleName` - The role to fetch stacks logs from. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getStacksLogsBundleCall

          public com.squareup.okhttp.Call getStacksLogsBundleCall(String roleName,
                                                                  ProgressResponseBody.ProgressListener progressListener,
                                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                           throws ApiException

      Build call for getStacksLogsBundle
      Parameters:
        `roleName` - The role to fetch the stacks logs bundle from. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getStacksLogsBundle

          public File getStacksLogsBundle(String roleName)
                                   throws ApiException

      Download a zip-compressed archive of role stacks logs. Download a zip-compressed archive of role stacks logs. Note that not all roles support periodic stacks collection.
      Parameters:
        `roleName` - The role to fetch the stacks logs bundle from. (required)
      Returns:
        File
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getStacksLogsBundleWithHttpInfo

          public ApiResponse<File> getStacksLogsBundleWithHttpInfo(String roleName)
                                                            throws ApiException

      Download a zip-compressed archive of role stacks logs. Download a zip-compressed archive of role stacks logs. Note that not all roles support periodic stacks collection.
      Parameters:
        `roleName` - The role to fetch the stacks logs bundle from. (required)
      Returns:
        ApiResponse<File>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getStacksLogsBundleAsync

          public com.squareup.okhttp.Call getStacksLogsBundleAsync(String roleName,
                                                                   ApiCallback<File> callback)
                                                            throws ApiException

      Download a zip-compressed archive of role stacks logs. (asynchronously) Download a zip-compressed archive of role stacks logs. Note that not all roles support periodic stacks collection.
      Parameters:
        `roleName` - The role to fetch the stacks logs bundle from. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getStandardErrorCall

          public com.squareup.okhttp.Call getStandardErrorCall(String roleName,
                                                               ProgressResponseBody.ProgressListener progressListener,
                                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                        throws ApiException

      Build call for getStandardError
      Parameters:
        `roleName` - The role to fetch stderr from. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getStandardError

          public String getStandardError(String roleName)
                                  throws ApiException

      Retrieves the role's standard error output. Retrieves the role's standard error output. <p> If the role is not started, this will be the output associated with the last time the role was run. <p> Log files are returned as plain text (type \"text/plain\").
      Parameters:
        `roleName` - The role to fetch stderr from. (required)
      Returns:
        String
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getStandardErrorWithHttpInfo

          public ApiResponse<String> getStandardErrorWithHttpInfo(String roleName)
                                                           throws ApiException

      Retrieves the role's standard error output. Retrieves the role's standard error output. <p> If the role is not started, this will be the output associated with the last time the role was run. <p> Log files are returned as plain text (type \"text/plain\").
      Parameters:
        `roleName` - The role to fetch stderr from. (required)
      Returns:
        ApiResponse<String>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getStandardErrorAsync

          public com.squareup.okhttp.Call getStandardErrorAsync(String roleName,
                                                                ApiCallback<String> callback)
                                                         throws ApiException

      Retrieves the role's standard error output. (asynchronously) Retrieves the role's standard error output. <p> If the role is not started, this will be the output associated with the last time the role was run. <p> Log files are returned as plain text (type \"text/plain\").
      Parameters:
        `roleName` - The role to fetch stderr from. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getStandardOutputCall

          public com.squareup.okhttp.Call getStandardOutputCall(String roleName,
                                                                ProgressResponseBody.ProgressListener progressListener,
                                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                         throws ApiException

      Build call for getStandardOutput
      Parameters:
        `roleName` - The role to fetch stdout from. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getStandardOutput

          public String getStandardOutput(String roleName)
                                   throws ApiException

      Retrieves the role's standard output. Retrieves the role's standard output. <p> If the role is not started, this will be the output associated with the last time the role was run. <p> Log files are returned as plain text (type \"text/plain\").
      Parameters:
        `roleName` - The role to fetch stdout from. (required)
      Returns:
        String
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getStandardOutputWithHttpInfo

          public ApiResponse<String> getStandardOutputWithHttpInfo(String roleName)
                                                            throws ApiException

      Retrieves the role's standard output. Retrieves the role's standard output. <p> If the role is not started, this will be the output associated with the last time the role was run. <p> Log files are returned as plain text (type \"text/plain\").
      Parameters:
        `roleName` - The role to fetch stdout from. (required)
      Returns:
        ApiResponse<String>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getStandardOutputAsync

          public com.squareup.okhttp.Call getStandardOutputAsync(String roleName,
                                                                 ApiCallback<String> callback)
                                                          throws ApiException

      Retrieves the role's standard output. (asynchronously) Retrieves the role's standard output. <p> If the role is not started, this will be the output associated with the last time the role was run. <p> Log files are returned as plain text (type \"text/plain\").
      Parameters:
        `roleName` - The role to fetch stdout from. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### listActiveCommandsCall

          public com.squareup.okhttp.Call listActiveCommandsCall(String roleName,
                                                                 String view,
                                                                 ProgressResponseBody.ProgressListener progressListener,
                                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                          throws ApiException

      Build call for listActiveCommands
      Parameters:
        `roleName` - The role name. (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### listActiveCommands

          public ApiCommandList listActiveCommands(String roleName,
                                                   String view)
                                            throws ApiException

      List active role commands. List active role commands.
      Parameters:
        `roleName` - The role name. (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiCommandList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listActiveCommandsWithHttpInfo

          public ApiResponse<ApiCommandList> listActiveCommandsWithHttpInfo(String roleName,
                                                                            String view)
                                                                     throws ApiException

      List active role commands. List active role commands.
      Parameters:
        `roleName` - The role name. (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiResponse<ApiCommandList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listActiveCommandsAsync

          public com.squareup.okhttp.Call listActiveCommandsAsync(String roleName,
                                                                  String view,
                                                                  ApiCallback<ApiCommandList> callback)
                                                           throws ApiException

      List active role commands. (asynchronously) List active role commands.
      Parameters:
        `roleName` - The role name. (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readRoleCall

          public com.squareup.okhttp.Call readRoleCall(String roleName,
                                                       ProgressResponseBody.ProgressListener progressListener,
                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                throws ApiException

      Build call for readRole
      Parameters:
        `roleName` - The role name. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readRole

          public ApiRole readRole(String roleName)
                           throws ApiException

      Retrieve detailed information about a Cloudera Management Services role. Retrieve detailed information about a Cloudera Management Services role.
      Parameters:
        `roleName` - The role name. (required)
      Returns:
        ApiRole
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readRoleWithHttpInfo

          public ApiResponse<ApiRole> readRoleWithHttpInfo(String roleName)
                                                    throws ApiException

      Retrieve detailed information about a Cloudera Management Services role. Retrieve detailed information about a Cloudera Management Services role.
      Parameters:
        `roleName` - The role name. (required)
      Returns:
        ApiResponse<ApiRole>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readRoleAsync

          public com.squareup.okhttp.Call readRoleAsync(String roleName,
                                                        ApiCallback<ApiRole> callback)
                                                 throws ApiException

      Retrieve detailed information about a Cloudera Management Services role. (asynchronously) Retrieve detailed information about a Cloudera Management Services role.
      Parameters:
        `roleName` - The role name. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readRoleConfigCall

          public com.squareup.okhttp.Call readRoleConfigCall(String roleName,
                                                             String view,
                                                             ProgressResponseBody.ProgressListener progressListener,
                                                             ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                      throws ApiException

      Build call for readRoleConfig
      Parameters:
        `roleName` - The role to look up. (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readRoleConfig

          public ApiConfigList readRoleConfig(String roleName,
                                              String view)
                                       throws ApiException

      Retrieve the configuration of a specific Cloudera Management Services role. Retrieve the configuration of a specific Cloudera Management Services role.
      Parameters:
        `roleName` - The role to look up. (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiConfigList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readRoleConfigWithHttpInfo

          public ApiResponse<ApiConfigList> readRoleConfigWithHttpInfo(String roleName,
                                                                       String view)
                                                                throws ApiException

      Retrieve the configuration of a specific Cloudera Management Services role. Retrieve the configuration of a specific Cloudera Management Services role.
      Parameters:
        `roleName` - The role to look up. (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiResponse<ApiConfigList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readRoleConfigAsync

          public com.squareup.okhttp.Call readRoleConfigAsync(String roleName,
                                                              String view,
                                                              ApiCallback<ApiConfigList> callback)
                                                       throws ApiException

      Retrieve the configuration of a specific Cloudera Management Services role. (asynchronously) Retrieve the configuration of a specific Cloudera Management Services role.
      Parameters:
        `roleName` - The role to look up. (required)
        `view` - The view of the data to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readRolesCall

          public com.squareup.okhttp.Call readRolesCall(ProgressResponseBody.ProgressListener progressListener,
                                                        ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                 throws ApiException

      Build call for readRoles
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readRoles

          public ApiRoleList readRoles()
                                throws ApiException

      List all roles of the Cloudera Management Services. List all roles of the Cloudera Management Services.
      Returns:
        ApiRoleList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readRolesWithHttpInfo

          public ApiResponse<ApiRoleList> readRolesWithHttpInfo()
                                                         throws ApiException

      List all roles of the Cloudera Management Services. List all roles of the Cloudera Management Services.
      Returns:
        ApiResponse<ApiRoleList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readRolesAsync

          public com.squareup.okhttp.Call readRolesAsync(ApiCallback<ApiRoleList> callback)
                                                  throws ApiException

      List all roles of the Cloudera Management Services. (asynchronously) List all roles of the Cloudera Management Services.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateRoleConfigCall

          public com.squareup.okhttp.Call updateRoleConfigCall(String roleName,
                                                               String message,
                                                               ApiConfigList body,
                                                               ProgressResponseBody.ProgressListener progressListener,
                                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                        throws ApiException

      Build call for updateRoleConfig
      Parameters:
        `roleName` - The role to modify. (required)
        `message` - Optional message describing the changes. (optional)
        `body` - Configuration changes. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateRoleConfig

          public ApiConfigList updateRoleConfig(String roleName,
                                                String message,
                                                ApiConfigList body)
                                         throws ApiException

      Update the configuration of a Cloudera Management Services role. Update the configuration of a Cloudera Management Services role. <p> If a value is set in the given configuration, it will be added to the role's configuration, replacing any existing entries. If a value is unset (its value is null), the existing configuration for the attribute will be erased, if any. <p> Attributes that are not listed in the input will maintain their current values in the configuration.
      Parameters:
        `roleName` - The role to modify. (required)
        `message` - Optional message describing the changes. (optional)
        `body` - Configuration changes. (optional)
      Returns:
        ApiConfigList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateRoleConfigWithHttpInfo

          public ApiResponse<ApiConfigList> updateRoleConfigWithHttpInfo(String roleName,
                                                                         String message,
                                                                         ApiConfigList body)
                                                                  throws ApiException

      Update the configuration of a Cloudera Management Services role. Update the configuration of a Cloudera Management Services role. <p> If a value is set in the given configuration, it will be added to the role's configuration, replacing any existing entries. If a value is unset (its value is null), the existing configuration for the attribute will be erased, if any. <p> Attributes that are not listed in the input will maintain their current values in the configuration.
      Parameters:
        `roleName` - The role to modify. (required)
        `message` - Optional message describing the changes. (optional)
        `body` - Configuration changes. (optional)
      Returns:
        ApiResponse<ApiConfigList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateRoleConfigAsync

          public com.squareup.okhttp.Call updateRoleConfigAsync(String roleName,
                                                                String message,
                                                                ApiConfigList body,
                                                                ApiCallback<ApiConfigList> callback)
                                                         throws ApiException

      Update the configuration of a Cloudera Management Services role. (asynchronously) Update the configuration of a Cloudera Management Services role. <p> If a value is set in the given configuration, it will be added to the role's configuration, replacing any existing entries. If a value is unset (its value is null), the existing configuration for the attribute will be erased, if any. <p> Attributes that are not listed in the input will maintain their current values in the configuration.
      Parameters:
        `roleName` - The role to modify. (required)
        `message` - Optional message describing the changes. (optional)
        `body` - Configuration changes. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2022. All rights reserved.